Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/cases/$CASE_ID/responses \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"channel": "EMAIL",
"contactPointRef": "email-1",
"reasonCode": "CASE_RESPONSE",
"subject": "Your servicing request",
"body": "We completed our review.",
"reason": "Respond to the customer with the verified outcome."
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/cases/${caseId}/responses` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"channel": "EMAIL",
"contactPointRef": "email-1",
"reasonCode": "CASE_RESPONSE",
"subject": "Your servicing request",
"body": "We completed our review.",
"reason": "Respond to the customer with the verified outcome."
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/cases/{case_id}/responses" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"channel": "EMAIL",
"contactPointRef": "email-1",
"reasonCode": "CASE_RESPONSE",
"subject": "Your servicing request",
"body": "We completed our review.",
"reason": "Respond to the customer with the verified outcome."
},
)200 400 401 403 404 409
{
"outcome": "COMPLETED",
"interactionId": 3003 ,
"resourceId": 3003
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}